curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/semantic-search \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"user_id": "<string>",
"organization_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"nia_references": {
"indexed_repositories": [
"<string>"
],
"indexed_documentation": [
"<string>"
],
"queried_repositories": [
"<string>"
],
"queried_documentation": [
"<string>"
],
"web_searches": [
"<string>"
],
"deep_research_queries": [
"<string>"
]
},
"edited_files": [
{
"file_path": "<string>",
"operation": "created",
"lines_added": 123,
"lines_removed": 123,
"language": "<string>"
}
],
"relevance_score": 123,
"match_metadata": {
"search_type": "hybrid",
"vector_score": 123,
"rank": 123
},
"match_highlights": [
"<string>"
],
"files_edited": [
"<string>"
],
"workspace_name": "<string>"
}
],
"search_query": "<string>",
"search_metadata": {
"search_type": "<string>",
"total_results": 123,
"vector_matches": 123,
"mongodb_matches": 123
},
"suggestions": {
"related_tags": [
"<string>"
],
"workspaces": [
"<string>"
],
"tips": [
"<string>"
]
}
}Semantic search conversation contexts using vector embeddings and hybrid (vector + BM25) search. Uses Turbopuffer vector store for fast similarity search across context content. Returns results ranked by relevance with optional match highlights and workspace filtering.
curl --request GET \
--url https://apigcp.trynia.ai/v2/contexts/semantic-search \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"user_id": "<string>",
"organization_id": "<string>",
"title": "<string>",
"summary": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"agent_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"nia_references": {
"indexed_repositories": [
"<string>"
],
"indexed_documentation": [
"<string>"
],
"queried_repositories": [
"<string>"
],
"queried_documentation": [
"<string>"
],
"web_searches": [
"<string>"
],
"deep_research_queries": [
"<string>"
]
},
"edited_files": [
{
"file_path": "<string>",
"operation": "created",
"lines_added": 123,
"lines_removed": 123,
"language": "<string>"
}
],
"relevance_score": 123,
"match_metadata": {
"search_type": "hybrid",
"vector_score": 123,
"rank": 123
},
"match_highlights": [
"<string>"
],
"files_edited": [
"<string>"
],
"workspace_name": "<string>"
}
],
"search_query": "<string>",
"search_metadata": {
"search_type": "<string>",
"total_results": 123,
"vector_matches": 123,
"mongodb_matches": 123
},
"suggestions": {
"related_tags": [
"<string>"
],
"workspaces": [
"<string>"
],
"tips": [
"<string>"
]
}
}API key must be provided in the Authorization header
Search query
1Maximum number of results
1 <= x <= 100Include match highlights in results
Filter by specific workspace name
Semantic search completed successfully
Show child attributes
Unique identifier for the context
User who created the context
Organization ID if context belongs to an organization
Context title
Context summary
Full context content
Source agent (e.g., "cursor", "claude-code")
When the context was created
When the context was last updated
References to NIA resources used during the conversation
Show child attributes
List of repository identifiers that were indexed
List of documentation source identifiers
Repositories that were queried
Documentation sources that were queried
Web search queries performed
Deep research queries performed
Show child attributes
Path to the edited file
Type of operation performed on the file
created, modified, deleted Number of lines added (for created/modified operations)
Number of lines removed (for modified/deleted operations)
Programming language of the file
Relevance score from vector search (0-1)
Highlighted matches from content
Paths of edited files (up to 5)
Workspace/project name
Was this page helpful?